Delete Page
curl --request DELETE \
--url https://api.launchmystore.io/api/v1/pages/:id.json \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.launchmystore.io/api/v1/pages/:id.json"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.launchmystore.io/api/v1/pages/:id.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"state": "<string>",
"message": "<string>"
}Pages
Delete Page
Delete a page
DELETE
/
api
/
v1
/
pages
/
:id.json
Delete Page
Delete Page
Permanently deletes a page. This action cannot be undone.Request
curl -X DELETE "https://api.launchmystore.io/api/v1/pages/8f3c2a91-7d4e-4b6a-9c1f-2e5d8a0b3c7e.json" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.launchmystore.io/api/v1/pages/8f3c2a91-7d4e-4b6a-9c1f-2e5d8a0b3c7e.json', {
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
});
Path Parameters
string
required
The unique page ID (
pageId) to deleteResponse
integer
HTTP status code (
200 on success)string
Outcome state,
success on successstring
Human-readable result message
Example Response
{
"status": 200,
"state": "success",
"message": "Page deleted successfully"
}
Error Response
When no page matches the ID for the store, the request returns a404 envelope:
{
"status": 404,
"state": "error",
"message": "Page not found"
}
Notes
- Navigation menu links pointing to this page will become broken.
Error Codes
| Status | State | Description |
|---|---|---|
401 | error | Invalid or missing access token |
403 | error | App doesn’t have write_content scope |
404 | error | Page with the specified ID does not exist |